# Source code for azure.graphrbac.models.check_group_membership_parameters

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CheckGroupMembershipParameters(Model):
        """Request parameters for IsMemberOf API call.

        :param group_id: The object ID of the group to check.
        :type group_id: str
        :param member_id: The object ID of the contact, group, user, or service
         principal to check for membership in the specified group.
        :type member_id: str
        """

        _validation = {
            'group_id': {'required': True},
            'member_id': {'required': True},
        }

        _attribute_map = {
            'group_id': {'key': 'groupId', 'type': 'str'},
            'member_id': {'key': 'memberId', 'type': 'str'},
        }

        def __init__(self, group_id, member_id):
            self.group_id = group_id
            self.member_id = member_id